<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmCbfsMapper">
    <select id="selectListMap" resultType="java.util.Map">
        select * from bm_cbfs where 1=1
    </select>
    <resultMap id="bmCbfsMap" type="com.tofly.feesapi.bmgl.entity.BmCbfs">
        <id property="code" column="CODE"/>
        <result property="name" column="NAME"/>
        <result property="isdisabled" column="ISDISABLED"/>
        <result property="xh" column="XH"/>
        <result property="cdate" column="CDATE"/>
        <result property="ocode" column="OCODE"/>
    </resultMap>

    <select id="getPage" resultType="com.tofly.feesapi.bmgl.entity.BmCbfs">
        SELECT a.* FROM bm_cbfs a
        WHERE 1 = 1

        <if test="filter.code!=null">
            AND a.code like '%${filter.code}%'
        </if>

        <if test="filter.name!=null">
            AND a.name like '%${filter.name}%'
        </if>

    </select>


</mapper>
